Opened 21 months ago

Closed 20 months ago

Last modified 16 months ago

#13177 closed Bug Report - General (Fixed)

Series title ending with a question mark does not download images

Reported by: Jimmy Blakeney <jblakeney@…> Owned by: Peter Bennett
Priority: minor Milestone: 30.0
Component: MythTV - Mythmetadatalookup Version: v29-fixes
Severity: medium Keywords: images question mark
Cc: Ticket locked: no

Description

I am having difficulty automatically downloading images for a title with a Question Mark in the name. I have added "Are You Being Served?" to my Videos section. The grabber launches and uses ttvdb.py to get the meta data. It searches and finds the series and prompts me for the proper one. I select it and it downloads the metadata for each episode but does not download the images:

Nov 12 15:09:36 ubuntu mythfrontend.real: mythfrontend[5324]: I VideoScanner videoscan.cpp:174 (run) Beginning Video Scan.
Nov 12 15:09:36 ubuntu mythfrontend.real: mythfrontend[5324]: I VideoScanner videoscan.cpp:403 (buildFileList) buildFileList directory = myth://Videos@ubuntu/mnt/Movies/
Nov 12 15:09:36 ubuntu mythfrontend.real: mythfrontend[5324]: I VideoScanner dirscan.cpp:256 (ScanVideoDirectory) MythVideo::ScanVideoDirectory Scanning Group (myth://Videos@ubuntu/mnt/Movies/)
Nov 12 15:09:36 ubuntu mythfrontend.real: mythfrontend[5324]: I VideoScanner videoscan.cpp:364 (updateDB) Adding :  : TV Shows/Are You Being Served?/Are You Being Served s01e01.avi : NULL
Nov 12 15:09:36 ubuntu mythfrontend.real: mythfrontend[5324]: I VideoScanner videoscan.cpp:364 (updateDB) Adding :  : TV Shows/Are You Being Served?/Are You Being Served? - s01e02 Dear Sexy Knickers.avi : NULL
Nov 12 15:09:37 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatagrabber.cpp:453 (RunGrabber) Running Grabber: /usr/share/mythtv/metadata/Television/ttvdb.py -l en -a US -N Are You Being Served? Dear Sexy Knickers
Nov 12 15:09:38 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatacommon.cpp:1202 (ParseMetadataItem) Result Found, Season 1 Episode 2
Nov 12 15:09:38 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatagrabber.cpp:453 (RunGrabber) Running Grabber: /usr/share/mythtv/metadata/Television/ttvdb.py -l en -a US -N 77879 Dear Sexy Knickers
Nov 12 15:09:39 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatacommon.cpp:1202 (ParseMetadataItem) Result Found, Season 1 Episode 2
Nov 12 15:09:39 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatadownload.cpp:176 (run) Returning Metadata Results:  1 2
Nov 12 15:09:39 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatagrabber.cpp:453 (RunGrabber) Running Grabber: /usr/share/mythtv/metadata/Television/ttvdb.py -l en -a US -M Are You Being Served
Nov 12 15:09:39 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatacommon.cpp:1202 (ParseMetadataItem) Result Found, Season 1 Episode 1
Nov 12 15:09:39 ubuntu mythfrontend.real: mythfrontend[5324]: E MetadataDownload metadatadownload.cpp:252 (findBestMatch) No adequate match or multiple matches found for Are You Being Served.  Update manually.
Nov 12 15:09:39 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatadownload.cpp:176 (run) Returning Metadata Results: Are You Being Served 1 1
Nov 12 15:09:39 ubuntu mythfrontend.real: mythfrontend[5324]: I CoreContext videodlg.cpp:3356 (customEvent) No results found for Are You Being Served 1 1
Nov 12 15:09:41 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatagrabber.cpp:453 (RunGrabber) Running Grabber: /usr/share/mythtv/metadata/Television/ttvdb.py -l en -a US -D 77879 1 1
Nov 12 15:09:42 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatacommon.cpp:1202 (ParseMetadataItem) Result Found, Season 1 Episode 1
Nov 12 15:09:42 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatadownload.cpp:176 (run) Returning Metadata Results:  1 1

If I then "Edit" the Video Details, I can manually "Find Online" the Coverart, Screenshot... and it will download and populate the info:

Nov 12 15:11:44 ubuntu mythfrontend.real: mythfrontend[5324]: E CoreContext xmlparsebase.cpp:357 (ParseChildren) XMLParseBase: Parent is NULL
Nov 12 15:11:53 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatagrabber.cpp:453 (RunGrabber) Running Grabber: /usr/share/mythtv/metadata/Television/ttvdb-py -l en -a US -N 77879 Dear Sexy Knickers
Nov 12 15:11:54 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatacommon.cpp:1202 (ParseMetadataItem) Result Found, Season 1 Episode 2
Nov 12 15:11:54 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatadownload.cpp:176 (run) Returning Metadata Results: Are You Being Served? 1 2
Nov 12 15:11:56 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataImageDownload metadataimagedownload.cpp:243 (run) Metadata Image Download: http://thetvdb.com/banners/seasons/77879-1-2.jpg -> myth://Coverart@ubuntu/Are You Being Served Season 1_coverart.jpg
Nov 12 15:12:00 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatagrabber.cpp:453 (RunGrabber) Running Grabber: /usr/share/mythtv/metadata/Television/ttvdb-py -l en -a US -N 77879 Dear Sexy Knickers
Nov 12 15:12:00 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatacommon.cpp:1202 (ParseMetadataItem) Result Found, Season 1 Episode 2
Nov 12 15:12:00 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataDownload metadatadownload.cpp:176 (run) Returning Metadata Results: Are You Being Served? 1 2
Nov 12 15:12:01 ubuntu mythfrontend.real: mythfrontend[5324]: I MetadataImageDownload metadataimagedownload.cpp:243 (run) Metadata Image Download: http://thetvdb.com/banners/episodes/77879/262099.jpg -> myth://Screenshots@ubuntu/Are You Being Served Season 1x2_screenshot.jpg

This time it puts the question mark in the MetaData? query.

Is there a new ttvdb-py script that I need to download? I am using version: mythfrontend version: fixes/29 [v29.0-57-gd743ef4]

I tried a test with another series - "Who's the Boss?" It did exactly the same thing. It will identify the series and download the metadata, such as, the proper episode title, synopsis, director, runtime... but will not automatically download the images. They are listed as "/path/to/the/thing.jpg" for all the images. If I then Change Video Details -> Edit Details and the "Find Online" the Coverart, Screenshot... they will download properly and display correctly.

Attachments (1)

mythdata.png (773.1 KB) - added by Jimmy Blakeney <jblakeney@…> 21 months ago.
Screen capture of the MetaData?

Download all attachments as: .zip

Change History (5)

Changed 21 months ago by Jimmy Blakeney <jblakeney@…>

Attachment: mythdata.png added

Screen capture of the MetaData?

comment:1 Changed 21 months ago by Peter Bennett

Owner: changed from JYA to Peter Bennett
Status: newassigned

comment:2 Changed 21 months ago by Steve Erlenborn <simon.sinister@…>

The question mark has nothing to do with these failures. If you manually run a query for "Are You Being Served?", you'll see that three TV series get returned.

/usr/share/mythtv/metadata/Television/ttvdb.py -l en -a US -M "Are You Being Served?"
<?xml version='1.0' encoding='UTF-8'?>
<metadata>
  <item>
    <language>en</language>
    <title>Are You Being Served?</title>
    <inetref>77879</inetref>
    <collectionref>77879</collectionref>
    <description>Are You Being Served? is a British Sitcom that ran from 1972-1985. The show revolved around "Grace Brothers Department Store" and in particular the goings on within the "Gentlemen's Ready-To-Wear" and "Ladies' Separates and Underwear" Departments. A store reorganization forced these two departments to share floor space, and the conflicts that this created set the tone for most episodes. Are You Being Served? showcases a bygone period of time in which the class structure was still very much alive. There was a strict hierarchy within Grace Brothers. Everyone knew their "places" and remained in them, unless, of course, there was a chance for advancement and then it was every man and woman for themselves. A spin-off series of Are You Being Served? was released, called Grace and Favour. Although in the U.S, it was named Are You Being Served? Again!</description>
    <releasedate>1972-09-08</releasedate>
    <images>
      <image type="banner" url="http://www.thetvdb.com/banners/graphical/77879-g3.jpg" thumb="http://www.thetvdb.com/banners/_cache/graphical/77879-g3.jpg"/>
    </images>
  </item>
  <item>
    <language>en</language>
    <title>Are You Being Served in Australia?</title>
    <inetref>272237</inetref>
    <collectionref>272237</collectionref>
    <description>When Mr. Humphries takes over as head of the mens-wear department at Bone Brothers in Australia, his character and experiences remain exactly the same as it was behind the counter in Grace Brothers in England. Written by David McAnally &lt;D.McAnally@uq.net.au&gt;</description>
    <releasedate>1980-06-16</releasedate>
    <images>
      <image type="banner" url="http://www.thetvdb.com/banners/graphical/272237-g.jpg" thumb="http://www.thetvdb.com/banners/_cache/graphical/272237-g.jpg"/>
    </images>
  </item>
  <item>
    <language>en</language>
    <title>Grace &amp; Favour</title>
    <inetref>78062</inetref>
    <collectionref>78062</collectionref>
    <description>When Mr. Grace is killed in a tragic scuba diving accident, the Grace Brothers store is closed down. Being faced with the option of finding new jobs or early retirement, the staff take over the running of a large manor house/hotel in the English countryside, where all manor of humorous things take place.</description>
    <releasedate>1992-01-01</releasedate>
    <images>
      <image type="banner" url="http://www.thetvdb.com/banners/graphical/78062-g2.jpg" thumb="http://www.thetvdb.com/banners/_cache/graphical/78062-g2.jpg"/>
    </images>
  </item>
</metadata>

I ran a test of this on my system, which includes my patch #13159 "Automatic lookup of metadata should prefer exact title match over partial title matches", and it selected the artwork from the correct TV series just fine.

The other example, "Who's the Boss?" returns two TV series.

comment:3 Changed 20 months ago by Peter Bennett

Milestone: needs_triage30.0
Resolution: Fixed
Status: assignedclosed

Fixed with #13159

comment:4 Changed 16 months ago by Peter Bennett

Owner: changed from Peter Bennett to Peter Bennett
Note: See TracTickets for help on using tickets.